Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Interface AprsMessageContainingModel

All Superinterfaces:
  ColumnSizingTableModel, javax.swing.table.TableModel

All Known Implementing Classes:
  MessageModel, ObjectPacketModel

    public interface AprsMessageContainingModel

extends javax.swing.table.TableModel, ColumnSizingTableModel

This interface defines methods on an object that contains an indexed list of messages.

Method Summary
`AX25Message` | `getMessageAt(int rowIndex)` Fetch the AX25Message object at the specified index.
`void` | `setMode(RawPacketDisplayMode mode)` Specify what display mode should be used to present the message body of the specified message when the body's column is requested with the getValueAt() method.

Methods inherited from interface org.ka2ddo.yaac.gui.ColumnSizingTableModel
`getColumnWidth, isSizeToFit`

Methods inherited from interface javax.swing.table.TableModel
`addTableModelListener, getColumnClass, getColumnCount, getColumnName, getRowCount, getValueAt, isCellEditable, removeTableModelListener, setValueAt`

Method Detail

### getMessageAt

    AX25Message getMessageAt(int rowIndex)
                             throws java.lang.IndexOutOfBoundsException

  Fetch the AX25Message object at the specified index.

  Parameters:
    `rowIndex` - zero-based index to the specified Message
  Returns:
    AX25Message object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the row index is < 0 or >= the size of the Message list

### setMode

    void setMode(RawPacketDisplayMode mode)

  Specify what display mode should be used to present the message body of the specified message when the body's column is requested with the getValueAt() method.

  Parameters:
    `mode` - SnifferPacketDisplayMode enum specifying the display mode
  See Also:
    `TableModel.getValueAt(int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD